Results 1 to 7 of 7

Thread: Install BT5 Ok then lets update and :o msfconsole stop working.

  1. #1
    Just burned his ISO
    Join Date
    Apr 2008
    Posts
    2

    Angry Install BT5 Ok then lets update and :o msfconsole stop working.

    Hi, i just install BT5 and was working very nice with all the utilities also msfconsole, but now i just update it with apt-get update; apt-get upgrade and no more MetaSploit Framework is working neither the msfconsole or web the error is that the command is not found, but i look using the command find to see if after update they move the binary and nop, they just dissapear from /opt/framework3/ its strange.

    Error:
    sh: msfconsole: command not found
    root@bt:~#

    PS: Sorry for my English.

  2. #2
    Just burned his ISO
    Join Date
    Jun 2009
    Location
    Berlin
    Posts
    13

    Default Re: Install BT5 Ok then lets update and :o msfconsole stop working.

    I just like you seen that now

    I was trying to work on BT 4 and MSF was really working well and I upgrade to BT 5 and now it's not working

    I've tried to reinstall MSF but still not working, I'm on it this evening I need to start a pentest tomorrow with it and

    Start the operation "get my msf back"

    installation see there but it's not enough I warn before...

    https://community.rapid7.com/docs/DOC-1026

    and that says

    with a little error on the https//802.11ninja.... replace https by http...

    BackTrack includes the Metasploit Framework, but not always the latest version. To install the latest version of Metasploit Framework in BackTrack:



    $ sudo bash

    # cd /pentest/svn

    # rm -rf framework3

    # svn co https://www.metasploit.com/svn/framework3/trunk framework3



    In order to use the raw socket modules, the pcaprub extension must be installed:



    # cd /pentest/svn/framework3/external/pcaprub

    # ruby extconf.rb

    # make && make install



    In order to use the WiFi modues, the lorcon2 extension must be installed:



    # cd /pentest/svn

    # svn co https://802.11ninja.net/svn/lorcon/trunk lorcon2

    # cd lorcon2

    # ./configure --prefix=/usr && make && make install

    # cd /pentest/svn/framework3/external/ruby-lorcon2

    # ruby extconf.rb

    # make && make install



    Once a fresh Subversion snapshot has been installed, it can be updated with the following command:

    # svn update /pentest/svn/framework3/

  3. #3
    Just burned his ISO
    Join Date
    Aug 2010
    Location
    memphis, tn.
    Posts
    2

    Default Re: Install BT5 Ok then lets update and :o msfconsole stop working.

    seems there is a bug they are working on as we speak....but metasploit is STILL on your system. check your /opt/framework3/msf3 directory, it should be there and still functioning

  4. #4
    Junior Member 5cardcharlie's Avatar
    Join Date
    Sep 2010
    Location
    Ohio
    Posts
    45

    Default Re: Install BT5 Ok then lets update and :o msfconsole stop working.

    Doug, I was affected by the bug and msf3 is not still on the system. Directory /opt/framework3/msf3 does not exist. Prior to upgrading from the repo it was there and working.

  5. #5
    Just burned his ISO Bloom's Avatar
    Join Date
    Mar 2011
    Posts
    7

    Default Re: Install BT5 Ok then lets update and :o msfconsole stop working.

    I have this problem also :/

  6. #6
    Just burned his ISO
    Join Date
    Jun 2011
    Posts
    3

    Question Re: Install BT5 Ok then lets update and :o msfconsole stop working.

    I have the exact same problem as well.

    I followed the directions given here : http://www.backtrack-linux.org/wiki/...ramework_MySQL

    I received the following errors towards the end of apt-get dist-upgrade:

    ...
    Preparing to replace framework3 3.7.1-bt3 (using .../framework3_3.7.2-bt0_i386.deb) ...
    /opt/framework3/postgresql/scripts/ctl.sh : postgresql stopped
    Unpacking replacement framework3
    ...
    Setting up framework3 (3.7.2-bt0) ...
    There has been an error.
    Error running su postgres -c '"/opt/framework3/postgresql/bin/psql" -c "ALTER USER postgres PASSWORD '\''31d24848'\' ' '' ' ; psql.bin:
    arting up
    cp: cannot create directory '/opt/framework3/ruby/lib/ruby/gems/1.9.1/gems' : No such file or directory
    Successfully installed mysql-2.8.1
    1 gem installed
    Installing ri documentation for mysql-2.8.1...
    Installing RDoc documentation for mysql-2.8.1...
    cp: cannot create directory '/opt/framework3/ruby/lib/ruby/gems/1.9.1/gems' : No such file or directory
    mv: cannot move '/usr/src/IMPORTANT-README' to '/pentest/exploits/framework3': Not a directory
    dpkg: error processing framework3 (--configure):
    subprocess installed post-installation script returned error exit status 1
    ....
    Errors were encountered while processing:
    framework3
    E: Sub-process /usr/bin/dpkg returned an error code (1)


    ---


    I hope that information helps create a diagnosis. Pardon any typos as I transcribed it into this post on a separate machine, rather than pasting it.

    I will certainly post back should my research into this provide any solutions.

    Thank you for your time and consideration.

  7. #7
    Just burned his ISO
    Join Date
    Jan 2010
    Posts
    2

    Default Re: Install BT5 Ok then lets update and :o msfconsole stop working.

    I seem to have almost the same problem, except after update & upgrade /opt/framework3/ folder was renamed /opt/framework/ . After renaming back to /opt/framework3/, I started msfconsole & armitage everything O.K. untill I tried to do a scan and it stopped working. Now /bin/sh: msfconsole: command not found & armitage: command not found.

Similar Threads

  1. Laptop mouse pad and keyboard stop working on UI load.
    By muzle6074 in forum Beginners Forum
    Replies: 4
    Last Post: 01-05-2011, 03:52 AM
  2. usb mouse and ports stop working after screen lock
    By eyeheartlinux in forum BackTrack Bugs
    Replies: 1
    Last Post: 04-10-2010, 01:36 PM
  3. MSF update not working?
    By Mickiey in forum OLD Latest Public Release - BackTrack4 Beta
    Replies: 4
    Last Post: 03-02-2009, 05:21 AM
  4. Backtrack community lets update the wiki!
    By wwusnobrdr in forum OLD BT3final Support
    Replies: 1
    Last Post: 06-24-2008, 04:30 PM
  5. airodump-ng stop working after 30 min
    By guardianx in forum OLD Newbie Area
    Replies: 13
    Last Post: 11-16-2007, 11:35 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •